/* General */

:root {
    --red-color: #ca3430;
    --red-color-hover: #ca4945;
    --red-color-disabled: #600000;
    --red-color-outline: #800000;

    --yellow-color: #f4be37;
    --yellow-color-hover: #f4ca60;
    --yellow-color-disabled: #e4be37;
    --yellow-color-outline: #783c1e;

    --gray-color: #9e9e9e;
    --gray-color-hover: #bebebe;
    --gray-color-disabled: #717171;
    --gray-color-outline: #414141;

    --background-color: #222222;
    --background-color-dark: #111111;
    --letter-color: #f2f2f2;
    --link-color: #2299ff;
    --error-color: #ce0000;
    --font-family: Tahoma, sans-serif;
    --font-size: 16px;
}

body {
    background-color: var(--background-color-dark);
    margin: 0;
    font-family: var(--font-family);
    color: var(--letter-color);
}

/* img {
    image-rendering: -moz-crisp-edges; Firefox
    image-rendering: -o-crisp-edges; Opera
    image-rendering: -webkit-optimize-contrast; Webkit (non-standard naming)
    image-rendering: crisp-edges;
} */

a {
    color: var(--link-color);
    text-decoration: auto;
}

a:hover {
    text-decoration: underline;
}

ul {
    all: unset;
    margin: 0;
    list-style-type: none;
}

button {
    all: unset;
}

body > div {
    display: block;
    background-color: var(--background-color);
}

@media only screen and (max-width: 425px) {
    .mobile-d-none {
        display: none;
    }

    .mobile-d-flex {
        display: flex;
    }
}

/* Univeral Classes */

.center {
    display: flex;
    align-items: center;
    justify-content: center;
}

.center-text {
    text-align: center;
}

.link {
    cursor: pointer;
    color: var(--yellow-color);
    text-decoration: auto;
}

.link:hover {
    text-decoration: underline;
}

.block {
    display: block;
    overflow-x: hidden;
    word-wrap: break-word;
    text-overflow: ellipsis;
}

.error {
    font-size: 0.75rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 1.5rem;
    padding-right: 0.5rem;
    color: var(--error-color);
}

.hide {
    display: none;
}

.preview-container {
    position: fixed;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: #00000000;
}

.second-preview-container {
    position: fixed;
    left: 0px;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: #00000000;
    z-index: -1;
}

.preview {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: auto;
    height: auto;
    max-height: 100%;
    max-width: 100%;
    margin: auto;
}

.preview-background {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #00000080;
}

.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
}

/* Navigation */

.navigation-container {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;

    padding: 0.5rem;
    font-size: 1.2rem;
    font-weight: bold;
    background-color: var(--background-color-dark);
    border-bottom: 1px var(--yellow-color-outline) solid;

    box-shadow: 0 0 1rem #00000066;

    z-index: 1;
}

.navigation-container::before {
    content: '';
    background-image: linear-gradient(90deg, var(--background-color-dark) 0%, var(--background-color-dark) 10%, transparent 100%);
    width: 2rem;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    pointer-events: none;
}

.navigation-container::after {
    content: '';
    background-image: linear-gradient(-90deg, var(--background-color-dark) 0%, var(--background-color-dark) 10%, transparent 100%);
    width: 2rem;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    pointer-events: none;
}

.navigation-logo {
    width: 2.5rem;
    height: 2.5rem;
    vertical-align: middle;
    margin-right: 0.5rem;
}

.navigation-menu {
    display: flex;
    overflow-x: scroll;
    scrollbar-width: none;
}

.navigation-menu::before,
.navigation-menu::after {
    content: '';
    min-width: 1rem;
}

.navigation-menu > li {
    margin: auto;
}

.navigation-menu-logo {
    border-radius: 1rem;
}

.navigation-menu-item {
    display: block;
    color: var(--yellow-color);
    padding: 0.5rem;
    border-radius: 1rem;
    margin: auto;
    cursor: pointer;
    white-space: nowrap;
}

.navigation-menu-item:hover,
.navigation-menu-item.focus:focus {
    color: var(--yellow-color-hover);
    text-decoration: auto;
    background-color: var(--gray-color-outline);
}

.navigation-menu-item-dropdown {
    visibility: hidden;
    position: absolute;
    right: 0;
    border-radius: 1rem;
    box-shadow: 0 0 20px black;
    background-color: #222222;
    padding: 0.5rem;
}

.navigation-menu-item:focus + .navigation-menu-item-dropdown {
    visibility: visible;
    transition: visibility 0 ease-in 1s;
}



/* MAIN PAGE */



/* Latest Video */

.latest-video-content-wrapper {
    max-width: 1200px;
    margin: auto;
    padding: 3rem 0;
}

.latest-video-content-wrapper > h2 {
    text-align: center;
    margin-bottom: 2rem;
}

.latest-video-container {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    margin: 0.5rem;
    font-size: 1.1rem;
}

.latest-video-container > * {
    flex: 1 500px;
    width: 100%;
    max-width: 500px;
    margin: 0.5rem;
    border-radius: 1rem;
    aspect-ratio: 16 / 9;
}

.latest-video-container > div {
    padding: 1rem 0;
}

.latest-video-container:nth-child(odd) {
    flex-flow: row-reverse wrap-reverse;
}

@media only screen and (max-width: 1200px) {
    .latest-video-container > * {
        max-width: 650px !important;
    }

    .latest-video-container:nth-child(odd) {
        flex-flow: row wrap;
    }
}

/* About Me */

.about-me-content-wrapper {
    max-width: 1200px;
    margin: auto;
    padding: 3rem 0;
}

.about-me-content-wrapper > h2 {
    text-align: center;
    margin-bottom: 2rem;
}

.about-me-container {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    margin: 1rem;
    font-size: 1.1rem;
}

.about-me-container > * {
    flex: 1 500px;
    width: 100%;
    max-width: 500px;
    margin: 0.5rem;
    border-radius: 1rem;
}

.about-me-container > div {
    padding: 1rem 0;
}

.about-me-container:nth-child(odd) {
    flex-flow: row-reverse wrap-reverse;
}

@media only screen and (max-width: 1200px) { 
    .about-me-container > * {
        max-width: 650px !important;
    }

    .about-me-container:nth-child(odd) {
        flex-flow: row wrap;
    }
}

/* My Outfit */

.outfit-content-wrapper {
    max-width: 1300px;
    margin: auto;
    padding: 3rem 0;
}

.outfit-content-wrapper > h2 {
    text-align: center;
}

.outfit-content-container {
    display: flex;
    flex: 1;
    flex-flow: row wrap;
    justify-content: center;
    padding: 0.5rem;
}

.outfit-content-image-background {
    max-width: 500px;
    background-image: radial-gradient(#600000, #000000);
    border-radius: 1rem;
    margin: 0.5rem;
}

.outfit-items-container {
    flex: 1;
    display: grid;
    grid-template-columns: 50% 50%;
    columns: 2;
}

.outfit-items-container > li {
    margin: 0.5rem;
    min-width: 250px;
}

.outfit-item-container {
    display: flex;
    border-radius: 1rem;
    background-color: #444444;
    min-width: 150px;
    height: 5rem;
}

.outfit-item-container > img {
    width: 5rem;
    height: 5rem;
    margin-right: 1rem;
    object-fit: cover;
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
}

.outfit-item-info {
    flex: auto;
    margin: auto;
    margin-right: 1rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 0.8rem;
}

.outfit-item-info > span {
    color: var(--letter-color);
    font-size: 1rem;
    font-weight: bold;
}

.outfit-advice-container {
    max-width: 600px;
    margin: auto;
}

.outfit-advice-text {
    padding: 1rem;
    font-size: 0.9rem;
    text-align: center;
    opacity: 0.6;
}

.outfit-advice-important-text {
    font-size: 1rem;
    font-weight: bold;
}

@media only screen and (min-width: 0px) and (max-width: 639px) {
    .outfit-items-container>li {
        grid-column: 1 / span 2;
    }
}

@media only screen and (min-width: 640px) and (max-width: 869px) {
    .outfit-items-container>li {
        grid-column: auto;
    }
}

@media only screen and (min-width: 870px) and (max-width: 1179px) {
    .outfit-items-container>li {
        grid-column: 1 / span 2;
    }
}

@media only screen and (min-width: 1180px) {
    .outfit-items-container>li {
        grid-column: auto;
    }
}

/* My Music */

ul.music-container {
    display: flex;
    flex-flow: column wrap;
}

.music-container > li {
    max-width: 800px;
    padding: 0.5rem;
    margin: 0 0.5rem;
}

.music-content-wrapper {
    max-width: 800px;
    margin: auto;
    padding: 3rem 0;
}

.music-content-wrapper > h2 {
    text-align: center;
}

.track-wrapper {
    display: flex;
    flex-flow: row wrap;
    border-radius: 1rem;
    overflow: hidden;
    align-items: stretch;
}

.track-container {
    display: flex;
    flex: 1;
    min-width: 280px;
}

.track-container > img {
    width: 5rem;
    height: 5rem;
    margin-right: 1rem;
}

.track-info {
    flex: auto;
    margin: auto;
    margin-right: 1rem;
}

.track-info > span {
    font-weight: bold;
}

.track-info > a {
    font-size: 0.8rem;
}

.track-audio-wrapper {
    flex: 1;
    min-width: 280px;
    align-content: center;
    padding: 0.5rem;
}

.track-audio-container {
    border-radius: 10rem;
    overflow: hidden;
}

.track-audio-container > audio {
    margin: auto;
    width: 100%;
    vertical-align: middle;
}

/* Support Me */

.support-me-content-wrapper {
    max-width: 500px;
    margin: auto;
    padding: 3rem 0;
}

.support-me-content-wrapper > h2 {
    text-align: center;
}

.support-me-content-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.support-me-content-container > a,
a:hover {
    border-radius: 1rem;
    text-decoration: none;
}

.support-me-content-text {
    padding: 1rem;
    text-align: center;
}

.ko-fi-support-button {
    background-color: var(--red-color);
    box-shadow: 0 0 0.25rem #00000055;
    color: var(--letter-color);
    font-weight: bold;
    font-size: 1.1rem;
    border-radius: 1rem;
    padding: 1rem 3rem;
}

.ko-fi-support-button:hover {
    background-color: var(--red-color-hover);
    cursor: pointer;
}

/* Contact */

footer {
    padding: 2rem 1rem;
    text-align: center;
}

#socials {
    display: flex;
    flex-flow: row wrap;
    max-width: 1000px;
    margin: auto;
}

.contact-item {
    flex: 1;
    display: flex;
    flex-flow: row;
    align-items: center;
    min-width: 14rem;
    margin: 0.5rem;
    padding: 0.5rem 1rem;
    border-radius: 1rem;
    text-overflow: ellipsis;
    overflow: hidden;
    background-color: var(--background-color);
}

.contact-empty-item {
    flex: 1;
    display: flex;
    flex-flow: row;
    align-items: center;
    min-width: 14rem;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
    padding-left: 1rem;
    padding-right: 1rem;
    text-overflow: ellipsis;
    overflow: hidden;
}

.contact-item > img {
    width: 2.5rem;
    height: 2.5rem;
    margin-right: 0.5rem;
}

.contact-item > div {
    text-align: left;
}

.copyright-text {
    opacity: 0.7;
    margin-top: 2rem;
    font-size: 0.9rem;
}

.credits-for-help-container {
    opacity: 0.5;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    margin-top: 1rem;
    font-size: 0.9rem;
}

.credits-for-help-brand-container {
    display: flex;
    white-space: nowrap;
    margin: 0 0.5rem;
}

.credits-for-help-brand-container > img {
    width: 1rem;
    height: 1rem;
}



/* A ROMAN SOLDIER JOURNEY PAGE*/

/* A Roman Soldier Journey */

.minecraft-mods-list-content-wrapper {
    max-width: 1200px;
    margin: auto;
    padding: 3rem 0;
}

.minecraft-mods-list-content-wrapper > h2 {
    text-align: center;
    margin-bottom: 2rem;
}

.minecraft-mods-list-container
{
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    margin: 0.5rem;
    font-size: 1.1rem;
}

.minecraft-mods-list-container > *
{
    flex: 1 500px;
    width: 100%;
    max-width: 500px;
    margin: 0.5rem;
    border-radius: 1rem;
    aspect-ratio: 16 / 9;
}

.minecraft-mods-list-container > div
{
    padding: 1rem 0;
}

@media only screen and (max-width: 1200px) {
    .minecraft-mods-list-container > *
    {
        max-width: 650px !important;
    }
}
